BEEM - Android XMPP - Feature #309

XEP-0084: User Avatar
10/26/2010 12:36 AM - Frédéric Barthéléry

Status: Closed Start date: 10/26/2010

Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 0.1.5

Description

Ability to receive and send user avatar.

see http:/xmpp.org/extensions/xep-0084.html

Related issues:

Related to Feature #338: XEP-0084: User Avatar : set and change your publishe... Closed 01/19/2011

Associated revisions

Revision 804:eaecdcf75b02 - 10/26/2010 12:30 AM - Frédéric Barthéléry

Complete user avatar implementation in reception
feature #309

Revision 804:eaecdcf75b02 - 10/26/2010 12:30 AM - Da Risk

Complete user avatar implementation in reception
feature #309

Revision 804:eaecdcf75b02 - 10/26/2010 12:30 AM - Da Risk
Complete user avatar implementation in reception

feature #309

History

#1 - 10/26/2010 01:13 AM - Frédéric Barthéléry

Reception of user avatar ok. still needs to display them.

#2 - 12/26/2010 06:04 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 60

#3 - 01/19/2011 06:52 PM - Frédéric Barthéléry
- Status changed from Resolved to Closed

- % Done changed from 60 to 100

Close this issue for reception and display of avatar.
Add #338 for publication

#4 - 02/01/2011 03:42 PM - Anonymous

| recently updated BEEM via the Market to Version 1.5 but it doesn't show the avatar of my contacts.

At the moment I'm chatting with somebody who uses a avatar and empathy displays it but not beem :(
What | noticed is, that sometimes the beem logo disappears and a black rectangle shows up (but his avatar isn't black).

Fabian

#5 - 02/01/2011 03:48 PM - Frédéric Barthéléry

User Avatar is the next standard to display avatar in XMPP. But it is not implemented in a lot of client. They usually relies on vCard-Based Avatars
which is not standard and should be deprecated as more clients switch to User Avatar. We decide to support the upcoming standard directly.

#6 - 03/10/2011 12:59 AM - Michael Stapelberg
Frédéric Barthéléry wrote:

User Avatar is the next standard to display avatar in XMPP. But it is not implemented in a lot of client.

Pidgin supports v1.1 of it (which is the most recent one as far as | can tell), according to http:/developer.pidgin.im/wiki/SupportedXEPs. Still, | cannot
see the avatars of my pidgin contacts. They just don’t show up.

I’'m running an ejabberd with enabled mod_pubsub with PEP plugin, also pubsub_createnode as set to {allow, all}.

What's the best way to debug this? How can | verify that the pidgin clients have set the avatar correctly and how can | verify that Beem recognizes
them correctly?

Thanks!

#7 - 03/10/2011 09:39 AM - Frédéric Barthéléry

Does your contact's server support pubsub and pep too ? If not | think pidgin fallback on the old vcard method.

The best way to verify it works is to enable asmack debugging and look for the pep message.
Use adb logcat -s SMACK to see only the protocol log. If your contact has an avatar set, you should receive an xmpp stanza such as

<message to='romeo@montague.lit' from='juliet@capulet.lit'>
<event xmlns='http://jabber.org/protocol/pubsubf#event'>
<items node='urn:xmpp:avatar:metadata'>
<item id='111£4b3c50d7b0df729d299%c6£8e9ef9066971f"'>
<metadata xmlns='urn:xmpp:avatar:metadata'>
<info bytes='12345"
height="'64"
1d='111£4b3c50d7b0df729d2990c6£8e9e£9066971f"
type="'image/png'
width='64"'/>
</metadata>
</item>
</items>
</event>
</message>

Notice the items node which is "urn:xmpp:avatar:metadata". If you receive this, Beem will automatically download the avatar and store it on your
sdcard (/mnt/sdcard/Android/data/com.beem.project.beem/cache/avatar/).
